Name:		mftrace
Version:	1.2.5
Release:	1%{?dist}
Summary:	Utility for converting TeX bitmap fonts to Type 1 or TrueType fonts

Group:		Applications/Publishing
License:	GPL
URL:		http://www.xs4all.nl/~hanwen/mftrace/
Source0:	http://www.xs4all.nl/~hanwen/mftrace/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	python autotrace
Requires:	autotrace fontforge t1utils tetex-fonts

%description
mftrace is a small Python program that lets you trace a TeX bitmap
font into a PFA or PFB font (A PostScript Type1 Scalable Font) or TTF
(TrueType) font.

Scalable fonts offer many advantages over bitmaps, as they allow
documents to render correctly at many printer resolutions. Moreover,
Ghostscript can generate much better PDF, if given scalable PostScript
fonts.

%prep
%setup -q
sed -i -e "s/-Wall -O2/$RPM_OPT_FLAGS/" GNUmakefile.in


%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc README.txt ChangeLog
%{_bindir}/*
%{_mandir}/man1/%{name}*
%{_datadir}/%{name}


%changelog
* Mon Nov  6 2006 Quentin Spencer <qspencer@users.sourceforge.net> 1.2.5-1
- New release.

* Sat May 20 2006 Quentin Spencer <qspencer@users.sourceforge.net> 1.2.4-2
- Make sure $RPM_OPT_FLAGS are used

* Sat May 13 2006 Quentin Spencer <qspencer@users.sourceforge.net> 1.2.4-1
- New upstream release.

* Tue Apr 25 2006 Quentin Spencer <qspencer@users.sourceforge.net> 1.1.19-3
- Update description

* Tue Apr 25 2006 Quentin Spencer <qspencer@users.sourceforge.net> 1.1.19-2
- ghost .pyo files

* Thu Mar 30 2006 Quentin Spencer <qspencer@users.sourceforge.net> 1.1.19-1
- First version.
